You can subscribe to this list here.
| 2001 |
Jan
|
Feb
|
Mar
|
Apr
|
May
(1) |
Jun
(27) |
Jul
(24) |
Aug
(64) |
Sep
(15) |
Oct
(72) |
Nov
(28) |
Dec
(44) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2002 |
Jan
(72) |
Feb
(58) |
Mar
(33) |
Apr
(3) |
May
(5) |
Jun
(4) |
Jul
|
Aug
|
Sep
|
Oct
(24) |
Nov
(29) |
Dec
(12) |
| 2003 |
Jan
(37) |
Feb
(44) |
Mar
(13) |
Apr
(23) |
May
(9) |
Jun
(3) |
Jul
|
Aug
(7) |
Sep
(33) |
Oct
(30) |
Nov
(31) |
Dec
(11) |
| 2004 |
Jan
(4) |
Feb
(35) |
Mar
(14) |
Apr
|
May
(2) |
Jun
|
Jul
|
Aug
(5) |
Sep
|
Oct
|
Nov
|
Dec
|
| 2005 |
Jan
|
Feb
(2) |
Mar
(2) |
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Bob T. <bt...@us...> - 2001-08-26 20:16:38
|
Update of /cvsroot/benson/benson3/src
In directory usw-pr-cvs1:/tmp/cvs-serv27713/src
Modified Files:
bensond.c network.c
Log Message:
The latest networking code
Index: bensond.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/bensond.c,v
retrieving revision 1.5
retrieving revision 1.6
diff -C2 -r1.5 -r1.6
*** bensond.c 2001/08/23 04:49:57 1.5
--- bensond.c 2001/08/26 20:16:34 1.6
***************
*** 1,4 ****
--- 1,15 ----
#include "benson/benson.h"
+ void
+ sig_chld(int signo)
+ {
+ pid_t pid;
+ int stat;
+
+ pid = wait(&stat);
+ printf("Child %d has terminated\n", pid);
+ return;
+ }
+
int main(int argc, char *argv[], char *env[])
{
***************
*** 10,15 ****
pid_t pid;
char buf[1024];
! struct benson_trap *trap;
! trap = malloc(sizeof(struct benson_trap));
// ctx=initialize_ctx(KEYFILE,PASSWORD);
--- 21,26 ----
pid_t pid;
char buf[1024];
! struct benson_header packet_hdr;
! // trap = malloc(sizeof(struct benson_trap));
// ctx=initialize_ctx(KEYFILE,PASSWORD);
***************
*** 17,20 ****
--- 28,33 ----
// generate_eph_rsa_key(ctx);
+ signal(SIGCHLD, sig_chld);
+
sock = bn_tcp_listen();
***************
*** 30,44 ****
while(1) {
if(r > 0) {
! r=read(s, trap, sizeof(struct benson_trap));
printf("reading (%i bytes)...\n", r);
} else {
! printf("%s %i\n",trap->agent, sizeof(trap->agent));
! printf("%s %i\n",trap->severity, sizeof(trap->severity));
! printf("%s %i\n",trap->subsystem, sizeof(trap->subsystem));
! printf("%s %i\n",trap->message, sizeof(trap->message));
break;
}
}
close(s);
// sbio=BIO_new_socket(s,BIO_NOCLOSE);
// ssl=SSL_new(ctx);
--- 43,64 ----
while(1) {
if(r > 0) {
! r=read(s, &packet_hdr, sizeof(struct benson_header));
printf("reading (%i bytes)...\n", r);
} else {
! if(packet_hdr.function == 1) {
! printf("%s %i\n",packet_hdr.version, sizeof(packet_hdr.version));
! printf("%s %i\n",packet_hdr.agent, sizeof(packet_hdr.agent));
! printf("%s %i\n",packet_hdr.data.trap.severity, sizeof(packet_hdr.data.trap.severity));
! printf("%s %i\n",packet_hdr.data.trap.subsystem, sizeof(packet_hdr.data.trap.subsystem));
! printf("%s %i\n",packet_hdr.data.trap.message, sizeof(packet_hdr.data.trap.message));
! } else if(packet_hdr.function == 2) {
! printf("%s %i\n",packet_hdr.version, sizeof(packet_hdr.version));
! }
break;
}
}
close(s);
+ close(socket);
+ exit(0);
// sbio=BIO_new_socket(s,BIO_NOCLOSE);
// ssl=SSL_new(ctx);
Index: network.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/network.c,v
retrieving revision 1.3
retrieving revision 1.4
diff -C2 -r1.3 -r1.4
*** network.c 2001/08/23 04:49:57 1.3
--- network.c 2001/08/26 20:16:34 1.4
***************
*** 47,56 ****
int sock;
int ofcmode;
! struct benson_trap *trap;
char response[255];
char rc[2];
- trap = malloc(sizeof(struct benson_trap));
-
sock = bn_tcp_connect(destination);
ofcmode = fcntl(sock,F_GETFL,0);
--- 47,54 ----
int sock;
int ofcmode;
! struct benson_header packet_hdr;
char response[255];
char rc[2];
sock = bn_tcp_connect(destination);
ofcmode = fcntl(sock,F_GETFL,0);
***************
*** 58,74 ****
if(fcntl(sock,F_SETFL,ofcmode))
err_exit("Couldn't make socket nonblocking");
! strncpy(trap->destination, destination, 255);
! trap->destination[255] = '\0';
! strncpy(trap->agent, source, 255);
! trap->agent[255] = '\0';
! strncpy(trap->severity, severity, 255);
! trap->severity[255] = '\0';
! strncpy(trap->subsystem, subsystem, 255);
! trap->subsystem[255] = '\0';
! strncpy(trap->message, message, 1023);
! trap->message[1023] = '\0';
! write(sock, trap, sizeof(struct benson_trap));
close(sock);
return 0;
--- 56,84 ----
if(fcntl(sock,F_SETFL,ofcmode))
err_exit("Couldn't make socket nonblocking");
+
+ strncpy(packet_hdr.benson, PACKAGE, 6);
+ packet_hdr.benson[6] = '\0';
+
+ strncpy(packet_hdr.version, VERSION, 32);
+ packet_hdr.version[32] = '\0';
+
+ packet_hdr.function = 1;
+
+ strncpy(packet_hdr.destination, destination, 255);
+ packet_hdr.destination[255] = '\0';
+
+ strncpy(packet_hdr.agent, source, 255);
+ packet_hdr.agent[255] = '\0';
+
+ strncpy(packet_hdr.data.trap.severity, severity, 255);
+ packet_hdr.data.trap.severity[255] = '\0';
+
+ strncpy(packet_hdr.data.trap.subsystem, subsystem, 255);
+ packet_hdr.data.trap.subsystem[255] = '\0';
! strncpy(packet_hdr.data.trap.message, message, 1023);
! packet_hdr.data.trap.message[1023] = '\0';
! write(sock, &packet_hdr, sizeof(struct benson_header));
close(sock);
return 0;
|
|
From: Bob T. <bt...@us...> - 2001-08-23 04:50:00
|
Update of /cvsroot/benson/benson3/src
In directory usw-pr-cvs1:/tmp/cvs-serv4852/src
Modified Files:
Makefile.am Makefile.in bensond.c btrap.c network.c
Log Message:
Added the bn_send_trap code, and did a little tweeking. Needs error checking, and some tests.
Index: Makefile.am
===================================================================
RCS file: /cvsroot/benson/benson3/src/Makefile.am,v
retrieving revision 1.7
retrieving revision 1.8
diff -C2 -r1.7 -r1.8
*** Makefile.am 2001/08/22 20:09:08 1.7
--- Makefile.am 2001/08/23 04:49:57 1.8
***************
*** 9,10 ****
--- 9,11 ----
libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
+ SUBDIRS =
Index: Makefile.in
===================================================================
RCS file: /cvsroot/benson/benson3/src/Makefile.in,v
retrieving revision 1.7
retrieving revision 1.8
diff -C2 -r1.7 -r1.8
*** Makefile.in 2001/08/22 20:09:08 1.7
--- Makefile.in 2001/08/23 04:49:57 1.8
***************
*** 94,97 ****
--- 94,98 ----
libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
+ SUBDIRS =
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
***************
*** 271,274 ****
--- 272,330 ----
$(LINK) $(bensond_LDFLAGS) $(bensond_OBJECTS) $(bensond_LDADD) $(LIBS)
+ # This directory's subdirectories are mostly independent; you can cd
+ # into them and run `make' without going through this Makefile.
+ # To change the values of `make' variables: instead of editing Makefiles,
+ # (1) if the variable is set in `config.status', edit `config.status'
+ # (which will cause the Makefiles to be regenerated when you run `make');
+ # (2) otherwise, pass the desired values on the `make' command line.
+
+ @SET_MAKE@
+
+ all-recursive install-data-recursive install-exec-recursive \
+ installdirs-recursive install-recursive uninstall-recursive \
+ check-recursive installcheck-recursive info-recursive dvi-recursive:
+ @set fnord $(MAKEFLAGS); amf=$$2; \
+ dot_seen=no; \
+ target=`echo $@ | sed s/-recursive//`; \
+ list='$(SUBDIRS)'; for subdir in $$list; do \
+ echo "Making $$target in $$subdir"; \
+ if test "$$subdir" = "."; then \
+ dot_seen=yes; \
+ local_target="$$target-am"; \
+ else \
+ local_target="$$target"; \
+ fi; \
+ (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+ || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
+ done; \
+ if test "$$dot_seen" = "no"; then \
+ $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
+ fi; test -z "$$fail"
+
+ mostlyclean-recursive clean-recursive distclean-recursive \
+ maintainer-clean-recursive:
+ @set fnord $(MAKEFLAGS); amf=$$2; \
+ dot_seen=no; \
+ rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
+ rev="$$subdir $$rev"; \
+ test "$$subdir" = "." && dot_seen=yes; \
+ done; \
+ test "$$dot_seen" = "no" && rev=". $$rev"; \
+ target=`echo $@ | sed s/-recursive//`; \
+ for subdir in $$rev; do \
+ echo "Making $$target in $$subdir"; \
+ if test "$$subdir" = "."; then \
+ local_target="$$target-am"; \
+ else \
+ local_target="$$target"; \
+ fi; \
+ (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+ || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
+ done && test -z "$$fail"
+ tags-recursive:
+ list='$(SUBDIRS)'; for subdir in $$list; do \
+ test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
+ done
+
tags: TAGS
***************
*** 281,287 ****
&& mkid -f$$here/ID $$unique $(LISP)
! TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS)'; \
unique=`for i in $$list; do echo $$i; done | \
--- 337,348 ----
&& mkid -f$$here/ID $$unique $(LISP)
! TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) $(LISP)
tags=; \
here=`pwd`; \
+ list='$(SUBDIRS)'; for subdir in $$list; do \
+ if test "$$subdir" = .; then :; else \
+ test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
+ fi; \
+ done; \
list='$(SOURCES) $(HEADERS)'; \
unique=`for i in $$list; do echo $$i; done | \
***************
*** 320,323 ****
--- 381,394 ----
fi; \
done
+ for subdir in $(SUBDIRS); do \
+ if test "$$subdir" = .; then :; else \
+ test -d $(distdir)/$$subdir \
+ || mkdir $(distdir)/$$subdir \
+ || exit 1; \
+ chmod 777 $(distdir)/$$subdir; \
+ (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
+ || exit 1; \
+ fi; \
+ done
DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)
***************
*** 353,381 ****
rm -f .deps/$(*F).pp
info-am:
! info: info-am
dvi-am:
! dvi: dvi-am
check-am: all-am
! check: check-am
installcheck-am:
! installcheck: installcheck-am
install-exec-am: install-libLTLIBRARIES install-binPROGRAMS \
install-sbinPROGRAMS
! install-exec: install-exec-am
install-data-am:
! install-data: install-data-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
! install: install-am
uninstall-am: uninstall-libLTLIBRARIES uninstall-binPROGRAMS \
uninstall-sbinPROGRAMS
! uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS)
! all-redirect: all-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
! installdirs:
$(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(bindir) \
$(DESTDIR)$(sbindir)
--- 424,453 ----
rm -f .deps/$(*F).pp
info-am:
! info: info-recursive
dvi-am:
! dvi: dvi-recursive
check-am: all-am
! check: check-recursive
installcheck-am:
! installcheck: installcheck-recursive
install-exec-am: install-libLTLIBRARIES install-binPROGRAMS \
install-sbinPROGRAMS
! install-exec: install-exec-recursive
install-data-am:
! install-data: install-data-recursive
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
! install: install-recursive
uninstall-am: uninstall-libLTLIBRARIES uninstall-binPROGRAMS \
uninstall-sbinPROGRAMS
! uninstall: uninstall-recursive
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS)
! all-redirect: all-recursive
install-strip:
$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
! installdirs: installdirs-recursive
! installdirs-am:
$(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(bindir) \
$(DESTDIR)$(sbindir)
***************
*** 396,400 ****
mostlyclean-depend mostlyclean-generic
! mostlyclean: mostlyclean-am
clean-am: clean-libLTLIBRARIES clean-compile clean-libtool \
--- 468,472 ----
mostlyclean-depend mostlyclean-generic
! mostlyclean: mostlyclean-recursive
clean-am: clean-libLTLIBRARIES clean-compile clean-libtool \
***************
*** 402,406 ****
clean-depend clean-generic mostlyclean-am
! clean: clean-am
distclean-am: distclean-libLTLIBRARIES distclean-compile \
--- 474,478 ----
clean-depend clean-generic mostlyclean-am
! clean: clean-recursive
distclean-am: distclean-libLTLIBRARIES distclean-compile \
***************
*** 410,414 ****
-rm -f libtool
! distclean: distclean-am
maintainer-clean-am: maintainer-clean-libLTLIBRARIES \
--- 482,486 ----
-rm -f libtool
! distclean: distclean-recursive
maintainer-clean-am: maintainer-clean-libLTLIBRARIES \
***************
*** 421,425 ****
@echo "it deletes files that may require special tools to rebuild."
! maintainer-clean: maintainer-clean-am
.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
--- 493,497 ----
@echo "it deletes files that may require special tools to rebuild."
! maintainer-clean: maintainer-clean-recursive
.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
***************
*** 432,441 ****
install-binPROGRAMS mostlyclean-sbinPROGRAMS distclean-sbinPROGRAMS \
clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS uninstall-sbinPROGRAMS \
! install-sbinPROGRAMS tags mostlyclean-tags distclean-tags clean-tags \
! maintainer-clean-tags distdir mostlyclean-depend distclean-depend \
! clean-depend maintainer-clean-depend info-am info dvi-am dvi check \
! check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
! all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean
--- 504,519 ----
install-binPROGRAMS mostlyclean-sbinPROGRAMS distclean-sbinPROGRAMS \
clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS uninstall-sbinPROGRAMS \
! install-sbinPROGRAMS install-data-recursive uninstall-data-recursive \
! install-exec-recursive uninstall-exec-recursive installdirs-recursive \
! uninstalldirs-recursive all-recursive check-recursive \
! installcheck-recursive info-recursive dvi-recursive \
! mostlyclean-recursive distclean-recursive clean-recursive \
! maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
! distclean-tags clean-tags maintainer-clean-tags distdir \
! mostlyclean-depend distclean-depend clean-depend \
! maintainer-clean-depend info-am info dvi-am dvi check check-am \
! installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
! all-redirect all-am all installdirs-am installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean
Index: bensond.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/bensond.c,v
retrieving revision 1.4
retrieving revision 1.5
diff -C2 -r1.4 -r1.5
*** bensond.c 2001/08/22 20:09:08 1.4
--- bensond.c 2001/08/23 04:49:57 1.5
***************
*** 27,35 ****
}
else {
while(1) {
! int size;
! r=read(s, trap, sizeof(struct benson_trap));
! // write(s, trap->severity, sizeof(trap->severity));
! printf("%s %i\n", trap->severity, r);
}
close(s);
--- 27,42 ----
}
else {
+ r = 1;
while(1) {
! if(r > 0) {
! r=read(s, trap, sizeof(struct benson_trap));
! printf("reading (%i bytes)...\n", r);
! } else {
! printf("%s %i\n",trap->agent, sizeof(trap->agent));
! printf("%s %i\n",trap->severity, sizeof(trap->severity));
! printf("%s %i\n",trap->subsystem, sizeof(trap->subsystem));
! printf("%s %i\n",trap->message, sizeof(trap->message));
! break;
! }
}
close(s);
Index: btrap.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/btrap.c,v
retrieving revision 1.3
retrieving revision 1.4
diff -C2 -r1.3 -r1.4
*** btrap.c 2001/08/22 20:09:08 1.3
--- btrap.c 2001/08/23 04:49:57 1.4
***************
*** 62,70 ****
if(verbose) {
printf("Severity: %s\n", severity);
printf("Subsystem: %s\n", subsystem);
printf("Message: %s\n", message);
}
! bn_send_trap();
} else {
if(verbose) {
--- 62,72 ----
if(verbose) {
+ printf("Source: %s\n", source);
+ printf("Destination: %s\n", destination);
printf("Severity: %s\n", severity);
printf("Subsystem: %s\n", subsystem);
printf("Message: %s\n", message);
}
! bn_send_trap(destination,source,severity,subsystem,message);
} else {
if(verbose) {
Index: network.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/network.c,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -r1.2 -r1.3
*** network.c 2001/08/22 20:09:08 1.2
--- network.c 2001/08/23 04:49:57 1.3
***************
*** 1,10 ****
#include "benson/benson.h"
! int bn_tcp_connect(void) {
struct hostent *hp;
struct sockaddr_in addr;
int sock;
! if(!(hp=gethostbyname("garage2.traffic.com")))
berr_exit("Couldn't resolve host");
memset(&addr,0,sizeof(addr));
--- 1,10 ----
#include "benson/benson.h"
! int bn_tcp_connect(char *forwarder) {
struct hostent *hp;
struct sockaddr_in addr;
int sock;
! if(!(hp=gethostbyname(forwarder)))
berr_exit("Couldn't resolve host");
memset(&addr,0,sizeof(addr));
***************
*** 42,53 ****
}
! int bn_send_trap(void)
{
int sock;
int ofcmode;
struct benson_trap *trap;
trap = malloc(sizeof(struct benson_trap));
! sock = bn_tcp_connect();
ofcmode = fcntl(sock,F_GETFL,0);
ofcmode |= O_NDELAY;
--- 42,57 ----
}
! int bn_send_trap (char *destination, char *source,
! char *severity, char *subsystem, char *message)
{
int sock;
int ofcmode;
struct benson_trap *trap;
+ char response[255];
+ char rc[2];
+
trap = malloc(sizeof(struct benson_trap));
! sock = bn_tcp_connect(destination);
ofcmode = fcntl(sock,F_GETFL,0);
ofcmode |= O_NDELAY;
***************
*** 55,62 ****
err_exit("Couldn't make socket nonblocking");
! strncpy(trap->severity, "testing", 8);
write(sock, trap, sizeof(struct benson_trap));
!
! return 1;
}
--- 59,75 ----
err_exit("Couldn't make socket nonblocking");
! strncpy(trap->destination, destination, 255);
! trap->destination[255] = '\0';
! strncpy(trap->agent, source, 255);
! trap->agent[255] = '\0';
! strncpy(trap->severity, severity, 255);
! trap->severity[255] = '\0';
! strncpy(trap->subsystem, subsystem, 255);
! trap->subsystem[255] = '\0';
! strncpy(trap->message, message, 1023);
! trap->message[1023] = '\0';
write(sock, trap, sizeof(struct benson_trap));
! close(sock);
! return 0;
}
|
|
From: Bob T. <bt...@us...> - 2001-08-23 04:50:00
|
Update of /cvsroot/benson/benson3/include/benson
In directory usw-pr-cvs1:/tmp/cvs-serv4852/include/benson
Modified Files:
network.h perl_util.h
Log Message:
Added the bn_send_trap code, and did a little tweeking. Needs error checking, and some tests.
Index: network.h
===================================================================
RCS file: /cvsroot/benson/benson3/include/benson/network.h,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -r1.2 -r1.3
*** network.h 2001/08/22 20:09:08 1.2
--- network.h 2001/08/23 04:49:57 1.3
***************
*** 1,2 ****
--- 1,5 ----
+ #ifndef __network_h
+ #define __network_h
+
#include <sys/types.h>
#include <sys/socket.h>
***************
*** 7,13 ****
struct benson_trap {
! char severity[255];
! char subsystem[255];
char message[1024];
};
--- 10,23 ----
struct benson_trap {
! char agent[256];
! char destination[256];
! char severity[256];
! char subsystem[256];
char message[1024];
};
+ int bn_tcp_connect(char *forwarder);
+ int bn_tcp_listen(void);
+ int bn_send_trap (char *destination, char *source, char *severity, char *subsystem, char *message);
+
+ #endif /* __network_h */
Index: perl_util.h
===================================================================
RCS file: /cvsroot/benson/benson3/include/benson/perl_util.h,v
retrieving revision 1.3
retrieving revision 1.4
diff -C2 -r1.3 -r1.4
*** perl_util.h 2001/08/21 03:53:15 1.3
--- perl_util.h 2001/08/23 04:49:57 1.4
***************
*** 14,16 ****
--- 14,17 ----
PerlInterpreter *bn_perl_initialize(char **env, int warning);
int bn_require_module(const char *pkgname);
+
#endif /* __perl_util_h */
|
|
From: Bob T. <bt...@us...> - 2001-08-23 04:50:00
|
Update of /cvsroot/benson/benson3/src/perl/Benson/lib In directory usw-pr-cvs1:/tmp/cvs-serv4852/src/perl/Benson/lib Added Files: Benson.pm Log Message: Added the bn_send_trap code, and did a little tweeking. Needs error checking, and some tests. --- NEW FILE: Benson.pm --- package Benson; 1; |
|
From: Bob T. <bt...@us...> - 2001-08-23 04:50:00
|
Update of /cvsroot/benson/benson3 In directory usw-pr-cvs1:/tmp/cvs-serv4852 Modified Files: config.h Log Message: Added the bn_send_trap code, and did a little tweeking. Needs error checking, and some tests. Index: config.h =================================================================== RCS file: /cvsroot/benson/benson3/config.h,v retrieving revision 1.5 retrieving revision 1.6 diff -C2 -r1.5 -r1.6 *** config.h 2001/08/22 20:09:08 1.5 --- config.h 2001/08/23 04:49:57 1.6 *************** *** 27,34 **** /* Define if you have the `nsl' library (-lnsl). */ ! #define HAVE_LIBNSL 1 /* Define if you have the `socket' library (-lsocket). */ ! #define HAVE_LIBSOCKET 1 /* Define if you have the `ssl' library (-lssl). */ --- 27,34 ---- /* Define if you have the `nsl' library (-lnsl). */ ! /* #undef HAVE_LIBNSL */ /* Define if you have the `socket' library (-lsocket). */ ! /* #undef HAVE_LIBSOCKET */ /* Define if you have the `ssl' library (-lssl). */ *************** *** 36,40 **** /* Define if you have the `w' library (-lw). */ ! #define HAVE_LIBW 1 /* Define if you have the <openssl/ssl.h> header file. */ --- 36,40 ---- /* Define if you have the `w' library (-lw). */ ! /* #undef HAVE_LIBW */ /* Define if you have the <openssl/ssl.h> header file. */ |
|
From: Bob T. <bt...@us...> - 2001-08-23 04:48:41
|
Update of /cvsroot/benson/benson3/src/perl/Benson/lib/Benson/Handlers In directory usw-pr-cvs1:/tmp/cvs-serv4620/src/perl/Benson/lib/Benson/Handlers Log Message: Directory /cvsroot/benson/benson3/src/perl/Benson/lib/Benson/Handlers added to the repository |
|
From: Bob T. <bt...@us...> - 2001-08-23 00:37:08
|
Update of /cvsroot/benson/benson3/src/perl/Benson/lib/Benson In directory usw-pr-cvs1:/tmp/cvs-serv25362/perl/Benson/lib/Benson Log Message: Directory /cvsroot/benson/benson3/src/perl/Benson/lib/Benson added to the repository |
|
From: Bob T. <bt...@us...> - 2001-08-23 00:36:57
|
Update of /cvsroot/benson/benson3/src/perl/Benson/lib In directory usw-pr-cvs1:/tmp/cvs-serv25304/perl/Benson/lib Log Message: Directory /cvsroot/benson/benson3/src/perl/Benson/lib added to the repository |
|
From: Bob T. <bt...@us...> - 2001-08-23 00:36:51
|
Update of /cvsroot/benson/benson3/src/perl/Benson In directory usw-pr-cvs1:/tmp/cvs-serv25241/perl/Benson Log Message: Directory /cvsroot/benson/benson3/src/perl/Benson added to the repository |
|
From: Bob T. <bt...@us...> - 2001-08-23 00:36:50
|
Update of /cvsroot/benson/benson3/src/perl In directory usw-pr-cvs1:/tmp/cvs-serv25208/perl Log Message: Directory /cvsroot/benson/benson3/src/perl added to the repository |
|
From: Bob T. <bt...@us...> - 2001-08-22 20:09:12
|
Update of /cvsroot/benson/benson3/src
In directory usw-pr-cvs1:/tmp/cvs-serv28802/src
Modified Files:
Makefile.am Makefile.in bensond.c btrap.c network.c
Log Message:
Woo baby, a whole lotta changing going on. Especially, in the network code, ha.
Index: Makefile.am
===================================================================
RCS file: /cvsroot/benson/benson3/src/Makefile.am,v
retrieving revision 1.6
retrieving revision 1.7
diff -C2 -r1.6 -r1.7
*** Makefile.am 2001/08/21 02:47:14 1.6
--- Makefile.am 2001/08/22 20:09:08 1.7
***************
*** 4,9 ****
btrap_SOURCES = btrap.c
bensond_LDADD = libbenson.la
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
! libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c perl_util.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
--- 4,10 ----
btrap_SOURCES = btrap.c
bensond_LDADD = libbenson.la
+ btrap_LDADD = libbenson.la
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
! libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
Index: Makefile.in
===================================================================
RCS file: /cvsroot/benson/benson3/src/Makefile.in,v
retrieving revision 1.6
retrieving revision 1.7
diff -C2 -r1.6 -r1.7
*** Makefile.in 2001/08/21 02:47:14 1.6
--- Makefile.in 2001/08/22 20:09:08 1.7
***************
*** 89,95 ****
btrap_SOURCES = btrap.c
bensond_LDADD = libbenson.la
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
! libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c perl_util.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
--- 89,96 ----
btrap_SOURCES = btrap.c
bensond_LDADD = libbenson.la
+ btrap_LDADD = libbenson.la
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
! libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
***************
*** 107,111 ****
X_PRE_LIBS = @X_PRE_LIBS@
libbenson_la_LIBADD =
! libbenson_la_OBJECTS = shm_wrapper.lo ssl.lo network.lo perl_util.lo
bin_PROGRAMS = btrap$(EXEEXT)
sbin_PROGRAMS = bensond$(EXEEXT)
--- 108,112 ----
X_PRE_LIBS = @X_PRE_LIBS@
libbenson_la_LIBADD =
! libbenson_la_OBJECTS = shm_wrapper.lo ssl.lo network.lo
bin_PROGRAMS = btrap$(EXEEXT)
sbin_PROGRAMS = bensond$(EXEEXT)
***************
*** 113,118 ****
btrap_OBJECTS = btrap.$(OBJEXT)
! btrap_LDADD = $(LDADD)
! btrap_DEPENDENCIES =
btrap_LDFLAGS =
bensond_OBJECTS = bensond.$(OBJEXT)
--- 114,118 ----
btrap_OBJECTS = btrap.$(OBJEXT)
! btrap_DEPENDENCIES = libbenson.la
btrap_LDFLAGS =
bensond_OBJECTS = bensond.$(OBJEXT)
***************
*** 132,136 ****
GZIP_ENV = --best
DEP_FILES = .deps/bensond.P .deps/btrap.P .deps/network.P \
! .deps/perl_util.P .deps/shm_wrapper.P .deps/ssl.P
SOURCES = $(libbenson_la_SOURCES) $(btrap_SOURCES) $(bensond_SOURCES)
OBJECTS = $(libbenson_la_OBJECTS) $(btrap_OBJECTS) $(bensond_OBJECTS)
--- 132,136 ----
GZIP_ENV = --best
DEP_FILES = .deps/bensond.P .deps/btrap.P .deps/network.P \
! .deps/shm_wrapper.P .deps/ssl.P
SOURCES = $(libbenson_la_SOURCES) $(btrap_SOURCES) $(bensond_SOURCES)
OBJECTS = $(libbenson_la_OBJECTS) $(btrap_OBJECTS) $(bensond_OBJECTS)
Index: bensond.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/bensond.c,v
retrieving revision 1.3
retrieving revision 1.4
diff -C2 -r1.3 -r1.4
*** bensond.c 2001/08/21 12:27:20 1.3
--- bensond.c 2001/08/22 20:09:08 1.4
***************
*** 10,13 ****
--- 10,15 ----
pid_t pid;
char buf[1024];
+ struct benson_trap *trap;
+ trap = malloc(sizeof(struct benson_trap));
// ctx=initialize_ctx(KEYFILE,PASSWORD);
***************
*** 26,32 ****
else {
while(1) {
! r=read(s,buf,1024);
! printf("%s",buf);
! write(s,"Message recieved.\n", 18);
}
close(s);
--- 28,35 ----
else {
while(1) {
! int size;
! r=read(s, trap, sizeof(struct benson_trap));
! // write(s, trap->severity, sizeof(trap->severity));
! printf("%s %i\n", trap->severity, r);
}
close(s);
Index: btrap.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/btrap.c,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -r1.2 -r1.3
*** btrap.c 2001/08/21 02:47:14 1.2
--- btrap.c 2001/08/22 20:09:08 1.3
***************
*** 66,69 ****
--- 66,70 ----
printf("Message: %s\n", message);
}
+ bn_send_trap();
} else {
if(verbose) {
Index: network.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/network.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -r1.1 -r1.2
*** network.c 2001/08/14 04:11:02 1.1
--- network.c 2001/08/22 20:09:08 1.2
***************
*** 1,4 ****
--- 1,24 ----
#include "benson/benson.h"
+ int bn_tcp_connect(void) {
+ struct hostent *hp;
+ struct sockaddr_in addr;
+ int sock;
+
+ if(!(hp=gethostbyname("garage2.traffic.com")))
+ berr_exit("Couldn't resolve host");
+ memset(&addr,0,sizeof(addr));
+ addr.sin_addr=*(struct in_addr*)hp->h_addr_list[0];
+ addr.sin_family=AF_INET;
+ addr.sin_port=htons(4433);
+
+ if((sock=socket(AF_INET,SOCK_STREAM,IPPROTO_TCP))<0)
+ err_exit("Couldn't create socket");
+ if(connect(sock, (struct sockaddr *)&addr, sizeof(addr))<0)
+ err_exit("Couldn't connect socket");
+
+ return sock;
+ }
+
int bn_tcp_listen(void)
{
***************
*** 20,22 ****
--- 40,62 ----
return (sock);
+ }
+
+ int bn_send_trap(void)
+ {
+ int sock;
+ int ofcmode;
+ struct benson_trap *trap;
+ trap = malloc(sizeof(struct benson_trap));
+
+ sock = bn_tcp_connect();
+ ofcmode = fcntl(sock,F_GETFL,0);
+ ofcmode |= O_NDELAY;
+ if(fcntl(sock,F_SETFL,ofcmode))
+ err_exit("Couldn't make socket nonblocking");
+
+ strncpy(trap->severity, "testing", 8);
+
+ write(sock, trap, sizeof(struct benson_trap));
+
+ return 1;
}
|
|
From: Bob T. <bt...@us...> - 2001-08-22 20:09:11
|
Update of /cvsroot/benson/benson3
In directory usw-pr-cvs1:/tmp/cvs-serv28802
Modified Files:
config.h configure configure.in
Log Message:
Woo baby, a whole lotta changing going on. Especially, in the network code, ha.
Index: config.h
===================================================================
RCS file: /cvsroot/benson/benson3/config.h,v
retrieving revision 1.4
retrieving revision 1.5
diff -C2 -r1.4 -r1.5
*** config.h 2001/08/21 02:47:14 1.4
--- config.h 2001/08/22 20:09:08 1.5
***************
*** 27,34 ****
/* Define if you have the `nsl' library (-lnsl). */
! /* #undef HAVE_LIBNSL */
/* Define if you have the `socket' library (-lsocket). */
! /* #undef HAVE_LIBSOCKET */
/* Define if you have the `ssl' library (-lssl). */
--- 27,34 ----
/* Define if you have the `nsl' library (-lnsl). */
! #define HAVE_LIBNSL 1
/* Define if you have the `socket' library (-lsocket). */
! #define HAVE_LIBSOCKET 1
/* Define if you have the `ssl' library (-lssl). */
***************
*** 36,40 ****
/* Define if you have the `w' library (-lw). */
! /* #undef HAVE_LIBW */
/* Define if you have the <openssl/ssl.h> header file. */
--- 36,40 ----
/* Define if you have the `w' library (-lw). */
! #define HAVE_LIBW 1
/* Define if you have the <openssl/ssl.h> header file. */
Index: configure
===================================================================
RCS file: /cvsroot/benson/benson3/configure,v
retrieving revision 1.8
retrieving revision 1.9
diff -C2 -r1.8 -r1.9
*** configure 2001/08/21 02:47:14 1.8
--- configure 2001/08/22 20:09:08 1.9
***************
*** 7492,7496 ****
CPPFLAGS="$CPPFLAGS -I$ssl_dir/include"
LDFLAGS="$LDFLAGS -R$ssl_dir/lib -L$ssl_dir/lib"
- # LIBS="$LIBS -lssl -lcrypto"
fi
--- 7492,7495 ----
***************
*** 7498,7502 ****
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
[...1475 lines suppressed...]
{ (exit 1); exit 1; }; }
--- 9198,9202 ----
else
# /dev/null tree
! { { echo "$as_me:9200: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
***************
*** 9316,9320 ****
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
! { echo "$as_me:9318: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
--- 9315,9319 ----
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
! { echo "$as_me:9317: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
Index: configure.in
===================================================================
RCS file: /cvsroot/benson/benson3/configure.in,v
retrieving revision 1.8
retrieving revision 1.9
diff -C2 -r1.8 -r1.9
*** configure.in 2001/08/21 02:47:14 1.8
--- configure.in 2001/08/22 20:09:08 1.9
***************
*** 46,50 ****
CPPFLAGS="$CPPFLAGS -I$ssl_dir/include"
LDFLAGS="$LDFLAGS -R$ssl_dir/lib -L$ssl_dir/lib"
- # LIBS="$LIBS -lssl -lcrypto"
fi
--- 46,49 ----
***************
*** 60,65 ****
AC_CHECK_LIB(ld, open)
AC_CHECK_LIB(w, open)
- AC_CHECK_LIB(ssl, SSL_library_init)
AC_CHECK_LIB(crypto, BN_init)
AC_PATH_PROG(sedpath, sed)
AC_PATH_PROG(trpath, tr)
--- 59,64 ----
AC_CHECK_LIB(ld, open)
AC_CHECK_LIB(w, open)
AC_CHECK_LIB(crypto, BN_init)
+ AC_CHECK_LIB(ssl, SSL_library_init)
AC_PATH_PROG(sedpath, sed)
AC_PATH_PROG(trpath, tr)
|
|
From: Bob T. <bt...@us...> - 2001-08-22 20:09:11
|
Update of /cvsroot/benson/benson3/include/benson
In directory usw-pr-cvs1:/tmp/cvs-serv28802/include/benson
Modified Files:
network.h
Log Message:
Woo baby, a whole lotta changing going on. Especially, in the network code, ha.
Index: network.h
===================================================================
RCS file: /cvsroot/benson/benson3/include/benson/network.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -r1.1 -r1.2
*** network.h 2001/08/14 04:11:01 1.1
--- network.h 2001/08/22 20:09:08 1.2
***************
*** 6,7 ****
--- 6,13 ----
#include <fcntl.h>
+ struct benson_trap {
+ char severity[255];
+ char subsystem[255];
+ char message[1024];
+ };
+
|
|
From: Bob T. <bt...@us...> - 2001-08-21 12:27:24
|
Update of /cvsroot/benson/benson3/src
In directory usw-pr-cvs1:/tmp/cvs-serv25753/src
Modified Files:
bensond.c
Log Message:
Testing benson, getting ready for dejagnu
Index: bensond.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/bensond.c,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -r1.2 -r1.3
*** bensond.c 2001/08/20 03:14:31 1.2
--- bensond.c 2001/08/21 12:27:20 1.3
***************
*** 25,30 ****
}
else {
! r=read(s,buf,1024);
! printf("%s",buf);
close(s);
// sbio=BIO_new_socket(s,BIO_NOCLOSE);
--- 25,33 ----
}
else {
! while(1) {
! r=read(s,buf,1024);
! printf("%s",buf);
! write(s,"Message recieved.\n", 18);
! }
close(s);
// sbio=BIO_new_socket(s,BIO_NOCLOSE);
|
|
From: Bob T. <bt...@us...> - 2001-08-21 03:53:18
|
Update of /cvsroot/benson/benson3/include/benson In directory usw-pr-cvs1:/tmp/cvs-serv6917/include/benson Modified Files: perl_util.h Log Message: Duh, forgot a semicolon Index: perl_util.h =================================================================== RCS file: /cvsroot/benson/benson3/include/benson/perl_util.h,v retrieving revision 1.2 retrieving revision 1.3 diff -C2 -r1.2 -r1.3 *** perl_util.h 2001/08/21 03:52:02 1.2 --- perl_util.h 2001/08/21 03:53:15 1.3 *************** *** 13,16 **** void bn_perl_destroy(PerlInterpreter *benson_perl); PerlInterpreter *bn_perl_initialize(char **env, int warning); ! int bn_require_module(const char *pkgname) #endif /* __perl_util_h */ --- 13,16 ---- void bn_perl_destroy(PerlInterpreter *benson_perl); PerlInterpreter *bn_perl_initialize(char **env, int warning); ! int bn_require_module(const char *pkgname); #endif /* __perl_util_h */ |
|
From: Bob T. <bt...@us...> - 2001-08-21 03:52:07
|
Update of /cvsroot/benson/benson3/include/benson In directory usw-pr-cvs1:/tmp/cvs-serv6744/include/benson Modified Files: perl_util.h Log Message: Added the bn_require_module function for the perl_util.c file Index: perl_util.h =================================================================== RCS file: /cvsroot/benson/benson3/include/benson/perl_util.h,v retrieving revision 1.1 retrieving revision 1.2 diff -C2 -r1.1 -r1.2 *** perl_util.h 2001/08/21 02:47:14 1.1 --- perl_util.h 2001/08/21 03:52:02 1.2 *************** *** 13,16 **** void bn_perl_destroy(PerlInterpreter *benson_perl); PerlInterpreter *bn_perl_initialize(char **env, int warning); ! #endif /* __perl_util_h */ --- 13,16 ---- void bn_perl_destroy(PerlInterpreter *benson_perl); PerlInterpreter *bn_perl_initialize(char **env, int warning); ! int bn_require_module(const char *pkgname) #endif /* __perl_util_h */ |
|
From: Bob T. <bt...@us...> - 2001-08-21 03:52:06
|
Update of /cvsroot/benson/benson3 In directory usw-pr-cvs1:/tmp/cvs-serv6744 Modified Files: Makefile.am Log Message: Added the bn_require_module function for the perl_util.c file Index: Makefile.am =================================================================== RCS file: /cvsroot/benson/benson3/Makefile.am,v retrieving revision 1.2 retrieving revision 1.3 diff -C2 -r1.2 -r1.3 *** Makefile.am 2001/08/13 02:20:57 1.2 --- Makefile.am 2001/08/21 03:52:01 1.3 *************** *** 1 **** --- 1,2 ---- SUBDIRS = src include + |
|
From: Bob T. <bt...@us...> - 2001-08-21 03:52:06
|
Update of /cvsroot/benson/benson3/src
In directory usw-pr-cvs1:/tmp/cvs-serv6744/src
Modified Files:
perl_util.c
Log Message:
Added the bn_require_module function for the perl_util.c file
Index: perl_util.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/perl_util.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -r1.1 -r1.2
*** perl_util.c 2001/08/21 02:47:14 1.1
--- perl_util.c 2001/08/21 03:52:02 1.2
***************
*** 36,37 ****
--- 36,58 ----
return benson_perl;
}
+
+ int
+ bn_require_module(const char *pkgname) {
+ dTHR;
+ SV *req = sv_newmortal();
+ dTHRCTX;
+
+ sv_setpvn(req, "require ",8);
+ sv_catpv(req, pkgname);
+ perl_eval_sv(req, G_DISCARD);
+
+ if(SvTRUE(ERRSV)) {
+ STRLEN n_a;
+ printf("Error - PerlObject::require_module(\"%s\")\n", pkgname);
+ printf("%s",SvPV(ERRSV,n_a));
+ return 1;
+ }
+
+ return 0;
+ }
+
|
|
From: Bob T. <bt...@us...> - 2001-08-21 03:52:06
|
Update of /cvsroot/benson/benson3/include In directory usw-pr-cvs1:/tmp/cvs-serv6744/include Modified Files: Makefile.in Log Message: Added the bn_require_module function for the perl_util.c file Index: Makefile.in =================================================================== RCS file: /cvsroot/benson/benson3/include/Makefile.in,v retrieving revision 1.1 retrieving revision 1.2 diff -C2 -r1.1 -r1.2 *** Makefile.in 2001/08/13 02:20:57 1.1 --- Makefile.in 2001/08/21 03:52:02 1.2 *************** *** 84,88 **** uniqpath = @uniqpath@ ! include_HEADERS = benson/benson.h benson/shm_wrapper.h benson/ssl.h mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs CONFIG_CLEAN_FILES = --- 84,88 ---- uniqpath = @uniqpath@ ! include_HEADERS = benson/benson.h benson/shm_wrapper.h benson/ssl.h benson/perl_util.h mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs CONFIG_CLEAN_FILES = |
|
From: Bob T. <bt...@us...> - 2001-08-21 02:49:25
|
Update of /cvsroot/benson/benson3/include In directory usw-pr-cvs1:/tmp/cvs-serv26828 Modified Files: Makefile.am Log Message: Forgot to update Makefile.am for the new perl header Index: Makefile.am =================================================================== RCS file: /cvsroot/benson/benson3/include/Makefile.am,v retrieving revision 1.1 retrieving revision 1.2 diff -C2 -r1.1 -r1.2 *** Makefile.am 2001/08/13 02:20:57 1.1 --- Makefile.am 2001/08/21 02:49:22 1.2 *************** *** 1,3 **** ! include_HEADERS = benson/benson.h benson/shm_wrapper.h benson/ssl.h install-exec-local: --- 1,3 ---- ! include_HEADERS = benson/benson.h benson/shm_wrapper.h benson/ssl.h benson/perl_util.h install-exec-local: |
|
From: Bob T. <bt...@us...> - 2001-08-21 02:47:17
|
Update of /cvsroot/benson/benson3
In directory usw-pr-cvs1:/tmp/cvs-serv26132
Modified Files:
config.h config.h.in configure configure.in
Log Message:
Added some of the perl library stubs
Index: config.h
===================================================================
RCS file: /cvsroot/benson/benson3/config.h,v
retrieving revision 1.3
retrieving revision 1.4
diff -C2 -r1.3 -r1.4
*** config.h 2001/08/20 03:14:31 1.3
--- config.h 2001/08/21 02:47:14 1.4
***************
*** 11,14 ****
--- 11,17 ----
/* #undef HAVE_LIBCOMPAT */
+ /* Define if you have the `crypto' library (-lcrypto). */
+ #define HAVE_LIBCRYPTO 1
+
/* Define if you have the `dl' library (-ldl). */
#define HAVE_LIBDL 1
Index: config.h.in
===================================================================
RCS file: /cvsroot/benson/benson3/config.h.in,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -r1.1 -r1.2
*** config.h.in 2001/08/13 02:26:45 1.1
--- config.h.in 2001/08/21 02:47:14 1.2
***************
*** 10,13 ****
--- 10,16 ----
#undef HAVE_LIBCOMPAT
+ /* Define if you have the `crypto' library (-lcrypto). */
+ #undef HAVE_LIBCRYPTO
+
/* Define if you have the `dl' library (-ldl). */
#undef HAVE_LIBDL
Index: configure
===================================================================
RCS file: /cvsroot/benson/benson3/configure,v
retrieving revision 1.7
retrieving revision 1.8
diff -C2 -r1.7 -r1.8
*** configure 2001/08/20 03:14:31 1.7
--- configure 2001/08/21 02:47:14 1.8
***************
*** 1387,1390 ****
--- 1387,1442 ----
fi
+ # Make sure we can run config.sub.
+ $ac_config_sub sun4 >/dev/null 2>&1 ||
+ { { echo "$as_me:1391: error: cannot run $ac_config_sub" >&5
+ echo "$as_me: error: cannot run $ac_config_sub" >&2;}
+ { (exit 1); exit 1; }; }
+
+ echo "$as_me:1395: checking build system type" >&5
[...5540 lines suppressed...]
{ (exit 1); exit 1; }; }
--- 9199,9203 ----
else
# /dev/null tree
! { { echo "$as_me:9201: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
***************
*** 9315,9319 ****
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
! { echo "$as_me:9317: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
--- 9316,9320 ----
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
! { echo "$as_me:9318: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
Index: configure.in
===================================================================
RCS file: /cvsroot/benson/benson3/configure.in,v
retrieving revision 1.7
retrieving revision 1.8
diff -C2 -r1.7 -r1.8
*** configure.in 2001/08/20 03:14:31 1.7
--- configure.in 2001/08/21 02:47:14 1.8
***************
*** 4,7 ****
--- 4,8 ----
AC_CONFIG_AUX_DIR(.)
AM_INIT_AUTOMAKE(benson,3.0)
+ AC_CANONICAL_HOST
AC_PROG_CC
AC_PROG_INSTALL
|
|
From: Bob T. <bt...@us...> - 2001-08-21 02:47:17
|
Update of /cvsroot/benson/benson3/include/benson In directory usw-pr-cvs1:/tmp/cvs-serv26132/include/benson Modified Files: benson.h Added Files: perl_util.h Log Message: Added some of the perl library stubs --- NEW FILE: perl_util.h --- #ifndef __perl_util_h #define __perl_util_h #include <EXTERN.h> #include <perl.h> #ifdef USE_5005THREADS #define dTHRCTX struct perl_thread *thr = PERL_GET_CONTEXT #else #define dTHRCTX #endif void bn_perl_destroy(PerlInterpreter *benson_perl); PerlInterpreter *bn_perl_initialize(char **env, int warning); #endif /* __perl_util_h */ Index: benson.h =================================================================== RCS file: /cvsroot/benson/benson3/include/benson/benson.h,v retrieving revision 1.2 retrieving revision 1.3 diff -C2 -r1.2 -r1.3 *** benson.h 2001/08/14 04:11:01 1.2 --- benson.h 2001/08/21 02:47:14 1.3 *************** *** 2,9 **** #define __benson_h #include <signal.h> #include "benson/shm_wrapper.h" ! #include "benson/ssl.h" #include "benson/network.h" #define PASSWORD "password" --- 2,17 ---- #define __benson_h + #include <stdio.h> + #include <string.h> + #include <unistd.h> #include <signal.h> + #include "config.h" #include "benson/shm_wrapper.h" ! #ifdef HAVE_LIBSSL ! #define HAVE_SSL ! #include "benson/ssl.h" ! #endif #include "benson/network.h" + #include "benson/perl_util.h" #define PASSWORD "password" |
|
From: Bob T. <bt...@us...> - 2001-08-21 02:47:17
|
Update of /cvsroot/benson/benson3/src
In directory usw-pr-cvs1:/tmp/cvs-serv26132/src
Modified Files:
Makefile.am Makefile.in btrap.c
Added Files:
perl_util.c
Log Message:
Added some of the perl library stubs
--- NEW FILE: perl_util.c ---
#include "benson/benson.h"
void xs_init (pTHXo);
void boot_DynaLoader (pTHXo_ CV* cv);
void
xs_init(pTHXo)
{
char *file = __FILE__;
dXSUB_SYS;
/* DynaLoader is a special case */
newXS("DynaLoader::boot_DynaLoader", boot_DynaLoader, file);
}
void
bn_perl_destroy(PerlInterpreter *benson_perl)
{
perl_destruct(benson_perl);
perl_free(benson_perl);
}
PerlInterpreter*
bn_perl_initialize(char **env, int warning) {
PerlInterpreter *benson_perl;
int perlc = 0;
char *perlv[] = {NULL, NULL, NULL};
if(warning) {
perlv[perlc++] = "-w";
}
perlv[perlc++] = "/dev/null";
benson_perl = perl_alloc();
perl_construct(benson_perl);
perl_parse(benson_perl, xs_init, perlc, perlv, env);
return benson_perl;
}
Index: Makefile.am
===================================================================
RCS file: /cvsroot/benson/benson3/src/Makefile.am,v
retrieving revision 1.5
retrieving revision 1.6
diff -C2 -r1.5 -r1.6
*** Makefile.am 2001/08/20 03:14:31 1.5
--- Makefile.am 2001/08/21 02:47:14 1.6
***************
*** 6,9 ****
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
! libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
--- 6,9 ----
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
! libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c perl_util.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
Index: Makefile.in
===================================================================
RCS file: /cvsroot/benson/benson3/src/Makefile.in,v
retrieving revision 1.5
retrieving revision 1.6
diff -C2 -r1.5 -r1.6
*** Makefile.in 2001/08/20 03:14:31 1.5
--- Makefile.in 2001/08/21 02:47:14 1.6
***************
*** 91,95 ****
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
! libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
--- 91,95 ----
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
! libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c perl_util.c
INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
***************
*** 107,111 ****
X_PRE_LIBS = @X_PRE_LIBS@
libbenson_la_LIBADD =
! libbenson_la_OBJECTS = shm_wrapper.lo ssl.lo network.lo
bin_PROGRAMS = btrap$(EXEEXT)
sbin_PROGRAMS = bensond$(EXEEXT)
--- 107,111 ----
X_PRE_LIBS = @X_PRE_LIBS@
libbenson_la_LIBADD =
! libbenson_la_OBJECTS = shm_wrapper.lo ssl.lo network.lo perl_util.lo
bin_PROGRAMS = btrap$(EXEEXT)
sbin_PROGRAMS = bensond$(EXEEXT)
***************
*** 132,136 ****
GZIP_ENV = --best
DEP_FILES = .deps/bensond.P .deps/btrap.P .deps/network.P \
! .deps/shm_wrapper.P .deps/ssl.P
SOURCES = $(libbenson_la_SOURCES) $(btrap_SOURCES) $(bensond_SOURCES)
OBJECTS = $(libbenson_la_OBJECTS) $(btrap_OBJECTS) $(bensond_OBJECTS)
--- 132,136 ----
GZIP_ENV = --best
DEP_FILES = .deps/bensond.P .deps/btrap.P .deps/network.P \
! .deps/perl_util.P .deps/shm_wrapper.P .deps/ssl.P
SOURCES = $(libbenson_la_SOURCES) $(btrap_SOURCES) $(bensond_SOURCES)
OBJECTS = $(libbenson_la_OBJECTS) $(btrap_OBJECTS) $(bensond_OBJECTS)
Index: btrap.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/btrap.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -r1.1 -r1.2
*** btrap.c 2001/08/20 03:14:31 1.1
--- btrap.c 2001/08/21 02:47:14 1.2
***************
*** 1,8 ****
! #include <stdio.h>
! #include <stdarg.h>
! #include "config.h"
int main(int argc, char *argv[], char *env[]) {
! printf("Benson v%s\n", VERSION);
return 0;
}
--- 1,91 ----
! #include "benson/benson.h"
int main(int argc, char *argv[], char *env[]) {
! int index = 0;
! int c = 0;
! int verbose = 0;
! int version = 0;
! char source[256];
! char destination[256];
! char severity[256];
! char subsystem[256];
! char certfile[256];
! char keyfile[256];
! char message[1024];
!
! while((c = getopt(argc,argv,"Vvd:s:c:k:")) != -1) {
! switch(c)
! {
! #ifdef HAVE_SSL
! case 'c':
! strncpy(certfile, optarg, 255);
! certfile[255] = '\0';
! break;
! case 'k':
! strncpy(keyfile, optarg, 255);
! keyfile[255] = '\0';
! break;
! #endif
! case 's':
! strncpy(source, optarg, 255);
! source[255] = '\0';
! break;
! case 'd':
! strncpy(destination, optarg, 255);
! destination[255] = '\0';
! break;
! case 'v':
! verbose = 1;
! break;
! case 'V':
! version = 1;
! break;
! default:
! break;
! }
! }
!
! if(version)
! {
! printf("%s %s\n", PACKAGE, VERSION);
! exit(0);
! }
! if((argc - optind) == 3)
! {
! index = optind;
! strncpy(severity, argv[index++], 255);
! severity[255] = '\0';
! strncpy(subsystem, argv[index++], 255);
! subsystem[255] = '\0';
! strncpy(message, argv[index++], 1023);
! message[1023] = '\0';
!
! if(verbose) {
! printf("Severity: %s\n", severity);
! printf("Subsystem: %s\n", subsystem);
! printf("Message: %s\n", message);
! }
! } else {
! if(verbose) {
! printf("Benson Distributed Monitoring System (%s %s)\n", PACKAGE, VERSION);
! printf("Copyright (C) 1999, 2000, 2001 Bob Tribit\n\n");
! printf("This program is distributed in the hope that it will be useful,\n");
! printf("but WITHOUT ANY WARRANTY; without even the implied warranty of\n");
! printf("MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\n");
! printf("GNU General Public License for more details.\n\n");
! }
! printf("Usage: %s [options] severity subsystem \"message\"\n", argv[0]);
! printf("Sends a benson trap and it's information to a collector or forwarder.\n\n");
! #ifdef HAVE_SSL
! printf(" -c cert.pem path to this agents SSL certificate\n");
! printf(" -k key.pem path to this agents SSL key\n");
! #endif
! printf(" -s srcaddr source address for trap\n");
! printf(" -d destaddr destination address for trap\n");
! printf(" -v verbose output\n");
! printf(" -V display version information\n\n");
! printf("Report bugs to <ben...@ne...>\n");
! }
!
return 0;
}
|
|
From: Bob T. <bt...@us...> - 2001-08-20 03:14:34
|
Update of /cvsroot/benson/benson3
In directory usw-pr-cvs1:/tmp/cvs-serv9758
Modified Files:
config.h configure configure.in
Log Message:
Added btrap skeleton, and getting used to the autoconf environment, again.
Index: config.h
===================================================================
RCS file: /cvsroot/benson/benson3/config.h,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -r1.2 -r1.3
*** config.h 2001/08/16 20:04:27 1.2
--- config.h 2001/08/20 03:14:31 1.3
***************
*** 24,37 ****
/* Define if you have the `nsl' library (-lnsl). */
! #define HAVE_LIBNSL 1
/* Define if you have the `socket' library (-lsocket). */
! #define HAVE_LIBSOCKET 1
/* Define if you have the `ssl' library (-lssl). */
! /* #undef HAVE_LIBSSL */
/* Define if you have the `w' library (-lw). */
! #define HAVE_LIBW 1
/* Define if you have the <openssl/ssl.h> header file. */
--- 24,37 ----
/* Define if you have the `nsl' library (-lnsl). */
! /* #undef HAVE_LIBNSL */
/* Define if you have the `socket' library (-lsocket). */
! /* #undef HAVE_LIBSOCKET */
/* Define if you have the `ssl' library (-lssl). */
! #define HAVE_LIBSSL 1
/* Define if you have the `w' library (-lw). */
! /* #undef HAVE_LIBW */
/* Define if you have the <openssl/ssl.h> header file. */
Index: configure
===================================================================
RCS file: /cvsroot/benson/benson3/configure,v
retrieving revision 1.6
retrieving revision 1.7
diff -C2 -r1.6 -r1.7
*** configure 2001/08/16 20:04:27 1.6
--- configure 2001/08/20 03:14:31 1.7
***************
*** 7491,7495 ****
CPPFLAGS="$CPPFLAGS -I$ssl_dir/include"
LDFLAGS="$LDFLAGS -R$ssl_dir/lib -L$ssl_dir/lib"
! LIBS="$LIBS -lssl -lcrypto"
fi
--- 7491,7495 ----
CPPFLAGS="$CPPFLAGS -I$ssl_dir/include"
LDFLAGS="$LDFLAGS -R$ssl_dir/lib -L$ssl_dir/lib"
! # LIBS="$LIBS -lssl -lcrypto"
fi
***************
*** 8140,8146 ****
fi
# Extract the first word of "sed", so it can be a program name with args.
set dummy sed; ac_word=$2
! echo "$as_me:8144: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_sedpath+set}" = set; then
--- 8140,8204 ----
fi
+ echo "$as_me:8142: checking for BN_init in -lcrypto" >&5
+ echo $ECHO_N "checking for BN_init in -lcrypto... $ECHO_C" >&6
+ if test "${ac_cv_lib_crypto_BN_init+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+ ac_check_lib_save_LIBS=$LIBS
+ LIBS="-lcrypto $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line 8150 "configure"
+ #include "confdefs.h"
+
+ /* Override any gcc2 internal prototype to avoid an error. */
+ #ifdef __cplusplus
+ extern "C"
+ #endif
+ /* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+ char BN_init ();
+ int
+ main ()
+ {
+ BN_init ();
+ ;
+ return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext conftest$ac_exeext
+ if { (eval echo "$as_me:8169: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:8172: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:8175: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:8178: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_lib_crypto_BN_init=yes
+ else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ ac_cv_lib_crypto_BN_init=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ LIBS=$ac_check_lib_save_LIBS
+ fi
+ echo "$as_me:8189: result: $ac_cv_lib_crypto_BN_init" >&5
+ echo "${ECHO_T}$ac_cv_lib_crypto_BN_init" >&6
+ if test $ac_cv_lib_crypto_BN_init = yes; then
+ cat >>confdefs.h <<EOF
+ #define HAVE_LIBCRYPTO 1
+ EOF
+
+ LIBS="-lcrypto $LIBS"
+
+ fi
+
# Extract the first word of "sed", so it can be a program name with args.
set dummy sed; ac_word=$2
! echo "$as_me:8202: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_sedpath+set}" = set; then
***************
*** 8159,8163 ****
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_sedpath="$ac_dir/$ac_word"
! echo "$as_me:8161: found $ac_dir/$ac_word" >&5
break
fi
--- 8217,8221 ----
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_sedpath="$ac_dir/$ac_word"
! echo "$as_me:8219: found $ac_dir/$ac_word" >&5
break
fi
***************
*** 8170,8177 ****
if test -n "$sedpath"; then
! echo "$as_me:8172: result: $sedpath" >&5
echo "${ECHO_T}$sedpath" >&6
else
! echo "$as_me:8175: result: no" >&5
echo "${ECHO_T}no" >&6
fi
--- 8228,8235 ----
if test -n "$sedpath"; then
! echo "$as_me:8230: result: $sedpath" >&5
echo "${ECHO_T}$sedpath" >&6
else
! echo "$as_me:8233: result: no" >&5
echo "${ECHO_T}no" >&6
fi
***************
*** 8179,8183 ****
# Extract the first word of "tr", so it can be a program name with args.
set dummy tr; ac_word=$2
! echo "$as_me:8181: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_trpath+set}" = set; then
--- 8237,8241 ----
# Extract the first word of "tr", so it can be a program name with args.
set dummy tr; ac_word=$2
! echo "$as_me:8239: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_trpath+set}" = set; then
***************
*** 8196,8200 ****
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_trpath="$ac_dir/$ac_word"
! echo "$as_me:8198: found $ac_dir/$ac_word" >&5
break
fi
--- 8254,8258 ----
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_trpath="$ac_dir/$ac_word"
! echo "$as_me:8256: found $ac_dir/$ac_word" >&5
break
fi
***************
*** 8207,8214 ****
if test -n "$trpath"; then
! echo "$as_me:8209: result: $trpath" >&5
echo "${ECHO_T}$trpath" >&6
else
! echo "$as_me:8212: result: no" >&5
echo "${ECHO_T}no" >&6
fi
--- 8265,8272 ----
if test -n "$trpath"; then
! echo "$as_me:8267: result: $trpath" >&5
echo "${ECHO_T}$trpath" >&6
else
! echo "$as_me:8270: result: no" >&5
echo "${ECHO_T}no" >&6
fi
***************
*** 8216,8220 ****
# Extract the first word of "uniq", so it can be a program name with args.
set dummy uniq; ac_word=$2
! echo "$as_me:8218: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_uniqpath+set}" = set; then
--- 8274,8278 ----
# Extract the first word of "uniq", so it can be a program name with args.
set dummy uniq; ac_word=$2
! echo "$as_me:8276: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_uniqpath+set}" = set; then
***************
*** 8233,8237 ****
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_uniqpath="$ac_dir/$ac_word"
! echo "$as_me:8235: found $ac_dir/$ac_word" >&5
break
fi
--- 8291,8295 ----
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_uniqpath="$ac_dir/$ac_word"
! echo "$as_me:8293: found $ac_dir/$ac_word" >&5
break
fi
***************
*** 8244,8251 ****
if test -n "$uniqpath"; then
! echo "$as_me:8246: result: $uniqpath" >&5
echo "${ECHO_T}$uniqpath" >&6
else
! echo "$as_me:8249: result: no" >&5
echo "${ECHO_T}no" >&6
fi
--- 8302,8309 ----
if test -n "$uniqpath"; then
! echo "$as_me:8304: result: $uniqpath" >&5
echo "${ECHO_T}$uniqpath" >&6
else
! echo "$as_me:8307: result: no" >&5
echo "${ECHO_T}no" >&6
fi
***************
*** 8253,8257 ****
# Extract the first word of "sort", so it can be a program name with args.
set dummy sort; ac_word=$2
! echo "$as_me:8255: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_sortpath+set}" = set; then
--- 8311,8315 ----
# Extract the first word of "sort", so it can be a program name with args.
set dummy sort; ac_word=$2
! echo "$as_me:8313: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_sortpath+set}" = set; then
***************
*** 8270,8274 ****
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_sortpath="$ac_dir/$ac_word"
! echo "$as_me:8272: found $ac_dir/$ac_word" >&5
break
fi
--- 8328,8332 ----
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_sortpath="$ac_dir/$ac_word"
! echo "$as_me:8330: found $ac_dir/$ac_word" >&5
break
fi
***************
*** 8281,8288 ****
if test -n "$sortpath"; then
! echo "$as_me:8283: result: $sortpath" >&5
echo "${ECHO_T}$sortpath" >&6
else
! echo "$as_me:8286: result: no" >&5
echo "${ECHO_T}no" >&6
fi
--- 8339,8346 ----
if test -n "$sortpath"; then
! echo "$as_me:8341: result: $sortpath" >&5
echo "${ECHO_T}$sortpath" >&6
else
! echo "$as_me:8344: result: no" >&5
echo "${ECHO_T}no" >&6
fi
***************
*** 8291,8295 ****
# Extract the first word of ""perl"", so it can be a program name with args.
set dummy "perl"; ac_word=$2
! echo "$as_me:8293: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_perlpath+set}" = set; then
--- 8349,8353 ----
# Extract the first word of ""perl"", so it can be a program name with args.
set dummy "perl"; ac_word=$2
! echo "$as_me:8351: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_perlpath+set}" = set; then
***************
*** 8308,8312 ****
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_perlpath="$ac_dir/$ac_word"
! echo "$as_me:8310: found $ac_dir/$ac_word" >&5
break
fi
--- 8366,8370 ----
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_perlpath="$ac_dir/$ac_word"
! echo "$as_me:8368: found $ac_dir/$ac_word" >&5
break
fi
***************
*** 8319,8339 ****
if test -n "$perlpath"; then
! echo "$as_me:8321: result: $perlpath" >&5
echo "${ECHO_T}$perlpath" >&6
else
! echo "$as_me:8324: result: no" >&5
echo "${ECHO_T}no" >&6
fi
! echo "$as_me:8328: checking version" >&5
echo $ECHO_N "checking version... $ECHO_C" >&6
PERL_VERSION=`$perlpath -e "print $]" | sed s/\\\.// | sed s/00/./g`
! echo "$as_me:8331: result: $PERL_VERSION" >&5
echo "${ECHO_T}$PERL_VERSION" >&6
! echo "$as_me:8333: checking for Perl compile flags" >&5
echo $ECHO_N "checking for Perl compile flags... $ECHO_C" >&6
PERL_CFLAGS=`$perlpath -MExtUtils::Embed -e ccopts 2>/dev/null`
if test "_$PERL_CFLAGS" = _ ; then
! echo "$as_me:8337: result: not found, building without Perl." >&5
echo "${ECHO_T}not found, building without Perl." >&6
perl=no
--- 8377,8397 ----
if test -n "$perlpath"; then
! echo "$as_me:8379: result: $perlpath" >&5
echo "${ECHO_T}$perlpath" >&6
else
! echo "$as_me:8382: result: no" >&5
echo "${ECHO_T}no" >&6
fi
! echo "$as_me:8386: checking version" >&5
echo $ECHO_N "checking version... $ECHO_C" >&6
PERL_VERSION=`$perlpath -e "print $]" | sed s/\\\.// | sed s/00/./g`
! echo "$as_me:8389: result: $PERL_VERSION" >&5
echo "${ECHO_T}$PERL_VERSION" >&6
! echo "$as_me:8391: checking for Perl compile flags" >&5
echo $ECHO_N "checking for Perl compile flags... $ECHO_C" >&6
PERL_CFLAGS=`$perlpath -MExtUtils::Embed -e ccopts 2>/dev/null`
if test "_$PERL_CFLAGS" = _ ; then
! echo "$as_me:8395: result: not found, building without Perl." >&5
echo "${ECHO_T}not found, building without Perl." >&6
perl=no
***************
*** 8348,8352 ****
fi
PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lc //'`
! echo "$as_me:8350: result: ok" >&5
echo "${ECHO_T}ok" >&6
CFLAGS="$CFLAGS $PERL_CFLAGS"
--- 8406,8410 ----
fi
PERL_LDFLAGS=`echo $PERL_LDFLAGS |$sedpath 's/-lc //'`
! echo "$as_me:8408: result: ok" >&5
echo "${ECHO_T}ok" >&6
CFLAGS="$CFLAGS $PERL_CFLAGS"
***************
*** 8358,8362 ****
# Extract the first word of ""python"", so it can be a program name with args.
set dummy "python"; ac_word=$2
! echo "$as_me:8360: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_pythonpath+set}" = set; then
--- 8416,8420 ----
# Extract the first word of ""python"", so it can be a program name with args.
set dummy "python"; ac_word=$2
! echo "$as_me:8418: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_pythonpath+set}" = set; then
***************
*** 8375,8379 ****
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_pythonpath="$ac_dir/$ac_word"
! echo "$as_me:8377: found $ac_dir/$ac_word" >&5
break
fi
--- 8433,8437 ----
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_pythonpath="$ac_dir/$ac_word"
! echo "$as_me:8435: found $ac_dir/$ac_word" >&5
break
fi
***************
*** 8386,8399 ****
if test -n "$pythonpath"; then
! echo "$as_me:8388: result: $pythonpath" >&5
echo "${ECHO_T}$pythonpath" >&6
else
! echo "$as_me:8391: result: no" >&5
echo "${ECHO_T}no" >&6
fi
! echo "$as_me:8395: checking for Python compile flags" >&5
echo $ECHO_N "checking for Python compile flags... $ECHO_C" >&6
! echo "$as_me:8397: result: not found, building without Python." >&5
echo "${ECHO_T}not found, building without Python." >&6
fi
--- 8444,8457 ----
if test -n "$pythonpath"; then
! echo "$as_me:8446: result: $pythonpath" >&5
echo "${ECHO_T}$pythonpath" >&6
else
! echo "$as_me:8449: result: no" >&5
echo "${ECHO_T}no" >&6
fi
! echo "$as_me:8453: checking for Python compile flags" >&5
echo $ECHO_N "checking for Python compile flags... $ECHO_C" >&6
! echo "$as_me:8455: result: not found, building without Python." >&5
echo "${ECHO_T}not found, building without Python." >&6
fi
***************
*** 8402,8406 ****
# Extract the first word of ""tclsh"", so it can be a program name with args.
set dummy "tclsh"; ac_word=$2
! echo "$as_me:8404: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_tclpath+set}" = set; then
--- 8460,8464 ----
# Extract the first word of ""tclsh"", so it can be a program name with args.
set dummy "tclsh"; ac_word=$2
! echo "$as_me:8462: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_tclpath+set}" = set; then
***************
*** 8419,8423 ****
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_tclpath="$ac_dir/$ac_word"
! echo "$as_me:8421: found $ac_dir/$ac_word" >&5
break
fi
--- 8477,8481 ----
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_tclpath="$ac_dir/$ac_word"
! echo "$as_me:8479: found $ac_dir/$ac_word" >&5
break
fi
***************
*** 8430,8451 ****
if test -n "$tclpath"; then
! echo "$as_me:8432: result: $tclpath" >&5
echo "${ECHO_T}$tclpath" >&6
else
! echo "$as_me:8435: result: no" >&5
echo "${ECHO_T}no" >&6
fi
! echo "$as_me:8439: checking version" >&5
echo $ECHO_N "checking version... $ECHO_C" >&6
TCL_VERSION=`echo 'puts "$tcl_version"' | $tclpath`
if test "_$TCL_VERSION" = _ ; then
! echo "$as_me:8443: result: version not found, building without Tcl." >&5
echo "${ECHO_T}version not found, building without Tcl." >&6
else
! echo "$as_me:8446: result: $TCL_VERSION" >&5
echo "${ECHO_T}$TCL_VERSION" >&6
fi
! echo "$as_me:8449: checking for Tcl compile flags" >&5
echo $ECHO_N "checking for Tcl compile flags... $ECHO_C" >&6
TCL_CFLAGS="-I/usr/include/"
--- 8488,8509 ----
if test -n "$tclpath"; then
! echo "$as_me:8490: result: $tclpath" >&5
echo "${ECHO_T}$tclpath" >&6
else
! echo "$as_me:8493: result: no" >&5
echo "${ECHO_T}no" >&6
fi
! echo "$as_me:8497: checking version" >&5
echo $ECHO_N "checking version... $ECHO_C" >&6
TCL_VERSION=`echo 'puts "$tcl_version"' | $tclpath`
if test "_$TCL_VERSION" = _ ; then
! echo "$as_me:8501: result: version not found, building without Tcl." >&5
echo "${ECHO_T}version not found, building without Tcl." >&6
else
! echo "$as_me:8504: result: $TCL_VERSION" >&5
echo "${ECHO_T}$TCL_VERSION" >&6
fi
! echo "$as_me:8507: checking for Tcl compile flags" >&5
echo $ECHO_N "checking for Tcl compile flags... $ECHO_C" >&6
TCL_CFLAGS="-I/usr/include/"
***************
*** 8453,8457 ****
CFLAGS="$CFLAGS $TCL_CFLAGS"
LIBS="$LIBS $TCL_LDFLAGS"
! echo "$as_me:8455: result: ok" >&5
echo "${ECHO_T}ok" >&6
# AC_MSG_RESULT([not found, building without Tcl.])
--- 8511,8515 ----
CFLAGS="$CFLAGS $TCL_CFLAGS"
LIBS="$LIBS $TCL_LDFLAGS"
! echo "$as_me:8513: result: ok" >&5
echo "${ECHO_T}ok" >&6
# AC_MSG_RESULT([not found, building without Tcl.])
***************
*** 8551,8555 ****
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
! { echo "$as_me:8553: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
--- 8609,8613 ----
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
! { echo "$as_me:8611: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
***************
*** 8724,8728 ****
--he | --h)
# Conflict between --help and --header
! { { echo "$as_me:8726: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
--- 8782,8786 ----
--he | --h)
# Conflict between --help and --header
! { { echo "$as_me:8784: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
***************
*** 8743,8747 ****
# This is an error.
! -*) { { echo "$as_me:8745: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
--- 8801,8805 ----
# This is an error.
! -*) { { echo "$as_me:8803: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
***************
*** 8782,8786 ****
"src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
! *) { { echo "$as_me:8784: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
--- 8840,8844 ----
"src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
! *) { { echo "$as_me:8842: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
***************
*** 9024,9028 ****
if test x"$ac_file" != x-; then
! { echo "$as_me:9026: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
--- 9082,9086 ----
if test x"$ac_file" != x-; then
! { echo "$as_me:9084: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
***************
*** 9042,9046 ****
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
! test -f "$f" || { { echo "$as_me:9044: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
--- 9100,9104 ----
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
! test -f "$f" || { { echo "$as_me:9102: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
***************
*** 9055,9059 ****
else
# /dev/null tree
! { { echo "$as_me:9057: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
--- 9113,9117 ----
else
# /dev/null tree
! { { echo "$as_me:9115: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
***************
*** 9116,9120 ****
esac
! test x"$ac_file" != x- && { echo "$as_me:9118: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
--- 9174,9178 ----
esac
! test x"$ac_file" != x- && { echo "$as_me:9176: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
***************
*** 9127,9131 ****
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
! test -f "$f" || { { echo "$as_me:9129: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
--- 9185,9189 ----
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
! test -f "$f" || { { echo "$as_me:9187: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
***************
*** 9140,9144 ****
else
# /dev/null tree
! { { echo "$as_me:9142: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
--- 9198,9202 ----
else
# /dev/null tree
! { { echo "$as_me:9200: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
***************
*** 9257,9261 ****
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
! { echo "$as_me:9259: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
--- 9315,9319 ----
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
! { echo "$as_me:9317: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
Index: configure.in
===================================================================
RCS file: /cvsroot/benson/benson3/configure.in,v
retrieving revision 1.6
retrieving revision 1.7
diff -C2 -r1.6 -r1.7
*** configure.in 2001/08/16 20:04:27 1.6
--- configure.in 2001/08/20 03:14:31 1.7
***************
*** 45,49 ****
CPPFLAGS="$CPPFLAGS -I$ssl_dir/include"
LDFLAGS="$LDFLAGS -R$ssl_dir/lib -L$ssl_dir/lib"
! LIBS="$LIBS -lssl -lcrypto"
fi
--- 45,49 ----
CPPFLAGS="$CPPFLAGS -I$ssl_dir/include"
LDFLAGS="$LDFLAGS -R$ssl_dir/lib -L$ssl_dir/lib"
! # LIBS="$LIBS -lssl -lcrypto"
fi
***************
*** 60,63 ****
--- 60,64 ----
AC_CHECK_LIB(w, open)
AC_CHECK_LIB(ssl, SSL_library_init)
+ AC_CHECK_LIB(crypto, BN_init)
AC_PATH_PROG(sedpath, sed)
AC_PATH_PROG(trpath, tr)
|
|
From: Bob T. <bt...@us...> - 2001-08-20 03:14:34
|
Update of /cvsroot/benson/benson3/src
In directory usw-pr-cvs1:/tmp/cvs-serv9758/src
Modified Files:
Makefile.am Makefile.in bensond.c
Added Files:
btrap.c
Log Message:
Added btrap skeleton, and getting used to the autoconf environment, again.
--- NEW FILE: btrap.c ---
#include <stdio.h>
#include <stdarg.h>
#include "config.h"
int main(int argc, char *argv[], char *env[]) {
printf("Benson v%s\n", VERSION);
return 0;
}
Index: Makefile.am
===================================================================
RCS file: /cvsroot/benson/benson3/src/Makefile.am,v
retrieving revision 1.4
retrieving revision 1.5
diff -C2 -r1.4 -r1.5
*** Makefile.am 2001/08/14 04:11:02 1.4
--- Makefile.am 2001/08/20 03:14:31 1.5
***************
*** 1,7 ****
sbin_PROGRAMS = bensond
bensond_SOURCES = bensond.c
bensond_LDADD = libbenson.la
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
! INCLUDES = -I@top_srcdir@/include
--- 1,9 ----
+ bin_PROGRAMS = btrap
sbin_PROGRAMS = bensond
bensond_SOURCES = bensond.c
+ btrap_SOURCES = btrap.c
bensond_LDADD = libbenson.la
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
! INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
Index: Makefile.in
===================================================================
RCS file: /cvsroot/benson/benson3/src/Makefile.in,v
retrieving revision 1.4
retrieving revision 1.5
diff -C2 -r1.4 -r1.5
*** Makefile.in 2001/08/14 04:11:02 1.4
--- Makefile.in 2001/08/20 03:14:31 1.5
***************
*** 84,94 ****
uniqpath = @uniqpath@
sbin_PROGRAMS = bensond
bensond_SOURCES = bensond.c
bensond_LDADD = libbenson.la
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
! INCLUDES = -I@top_srcdir@/include
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
--- 84,96 ----
uniqpath = @uniqpath@
+ bin_PROGRAMS = btrap
sbin_PROGRAMS = bensond
bensond_SOURCES = bensond.c
+ btrap_SOURCES = btrap.c
bensond_LDADD = libbenson.la
lib_LTLIBRARIES = libbenson.la
libbenson_la_LDFLAGS = -no-undefined -version-info 3:0:0
libbenson_la_SOURCES = shm_wrapper.c ssl.c network.c
! INCLUDES = -I@top_srcdir@/include -I@top_srcdir@
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
***************
*** 106,112 ****
libbenson_la_LIBADD =
libbenson_la_OBJECTS = shm_wrapper.lo ssl.lo network.lo
sbin_PROGRAMS = bensond$(EXEEXT)
! PROGRAMS = $(sbin_PROGRAMS)
bensond_OBJECTS = bensond.$(OBJEXT)
bensond_DEPENDENCIES = libbenson.la
--- 108,119 ----
libbenson_la_LIBADD =
libbenson_la_OBJECTS = shm_wrapper.lo ssl.lo network.lo
+ bin_PROGRAMS = btrap$(EXEEXT)
sbin_PROGRAMS = bensond$(EXEEXT)
! PROGRAMS = $(bin_PROGRAMS) $(sbin_PROGRAMS)
+ btrap_OBJECTS = btrap.$(OBJEXT)
+ btrap_LDADD = $(LDADD)
+ btrap_DEPENDENCIES =
+ btrap_LDFLAGS =
bensond_OBJECTS = bensond.$(OBJEXT)
bensond_DEPENDENCIES = libbenson.la
***************
*** 124,131 ****
TAR = tar
GZIP_ENV = --best
! DEP_FILES = .deps/bensond.P .deps/network.P .deps/shm_wrapper.P \
! .deps/ssl.P
! SOURCES = $(libbenson_la_SOURCES) $(bensond_SOURCES)
! OBJECTS = $(libbenson_la_OBJECTS) $(bensond_OBJECTS)
all: all-redirect
--- 131,138 ----
TAR = tar
GZIP_ENV = --best
! DEP_FILES = .deps/bensond.P .deps/btrap.P .deps/network.P \
! .deps/shm_wrapper.P .deps/ssl.P
! SOURCES = $(libbenson_la_SOURCES) $(btrap_SOURCES) $(bensond_SOURCES)
! OBJECTS = $(libbenson_la_OBJECTS) $(btrap_OBJECTS) $(bensond_OBJECTS)
all: all-redirect
***************
*** 206,209 ****
--- 213,241 ----
$(LINK) -rpath $(libdir) $(libbenson_la_LDFLAGS) $(libbenson_la_OBJECTS) $(libbenson_la_LIBADD) $(LIBS)
+ mostlyclean-binPROGRAMS:
+
+ clean-binPROGRAMS:
+ -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
+
+ distclean-binPROGRAMS:
+
+ maintainer-clean-binPROGRAMS:
+
+ install-binPROGRAMS: $(bin_PROGRAMS)
+ @$(NORMAL_INSTALL)
+ $(mkinstalldirs) $(DESTDIR)$(bindir)
+ @list='$(bin_PROGRAMS)'; for p in $$list; do \
+ if test -f $$p; then \
+ echo " $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
+ $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
+ else :; fi; \
+ done
+
+ uninstall-binPROGRAMS:
+ @$(NORMAL_UNINSTALL)
+ list='$(bin_PROGRAMS)'; for p in $$list; do \
+ rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
+ done
+
mostlyclean-sbinPROGRAMS:
***************
*** 231,234 ****
--- 263,270 ----
done
+ btrap$(EXEEXT): $(btrap_OBJECTS) $(btrap_DEPENDENCIES)
+ @rm -f btrap$(EXEEXT)
+ $(LINK) $(btrap_LDFLAGS) $(btrap_OBJECTS) $(btrap_LDADD) $(LIBS)
+
bensond$(EXEEXT): $(bensond_OBJECTS) $(bensond_DEPENDENCIES)
@rm -f bensond$(EXEEXT)
***************
*** 324,328 ****
installcheck-am:
installcheck: installcheck-am
! install-exec-am: install-libLTLIBRARIES install-sbinPROGRAMS
install-exec: install-exec-am
--- 360,365 ----
installcheck-am:
installcheck: installcheck-am
! install-exec-am: install-libLTLIBRARIES install-binPROGRAMS \
! install-sbinPROGRAMS
install-exec: install-exec-am
***************
*** 333,337 ****
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
! uninstall-am: uninstall-libLTLIBRARIES uninstall-sbinPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS)
--- 370,375 ----
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
! uninstall-am: uninstall-libLTLIBRARIES uninstall-binPROGRAMS \
! uninstall-sbinPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS)
***************
*** 340,344 ****
$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
! $(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(sbindir)
--- 378,383 ----
$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
! $(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(bindir) \
! $(DESTDIR)$(sbindir)
***************
*** 353,370 ****
maintainer-clean-generic:
mostlyclean-am: mostlyclean-libLTLIBRARIES mostlyclean-compile \
! mostlyclean-libtool mostlyclean-sbinPROGRAMS \
! mostlyclean-tags mostlyclean-depend mostlyclean-generic
mostlyclean: mostlyclean-am
clean-am: clean-libLTLIBRARIES clean-compile clean-libtool \
! clean-sbinPROGRAMS clean-tags clean-depend \
! clean-generic mostlyclean-am
clean: clean-am
distclean-am: distclean-libLTLIBRARIES distclean-compile \
! distclean-libtool distclean-sbinPROGRAMS distclean-tags \
! distclean-depend distclean-generic clean-am
-rm -f libtool
--- 392,411 ----
maintainer-clean-generic:
mostlyclean-am: mostlyclean-libLTLIBRARIES mostlyclean-compile \
! mostlyclean-libtool mostlyclean-binPROGRAMS \
! mostlyclean-sbinPROGRAMS mostlyclean-tags \
! mostlyclean-depend mostlyclean-generic
mostlyclean: mostlyclean-am
clean-am: clean-libLTLIBRARIES clean-compile clean-libtool \
! clean-binPROGRAMS clean-sbinPROGRAMS clean-tags \
! clean-depend clean-generic mostlyclean-am
clean: clean-am
distclean-am: distclean-libLTLIBRARIES distclean-compile \
! distclean-libtool distclean-binPROGRAMS \
! distclean-sbinPROGRAMS distclean-tags distclean-depend \
! distclean-generic clean-am
-rm -f libtool
***************
*** 373,376 ****
--- 414,418 ----
maintainer-clean-am: maintainer-clean-libLTLIBRARIES \
maintainer-clean-compile maintainer-clean-libtool \
+ maintainer-clean-binPROGRAMS \
maintainer-clean-sbinPROGRAMS maintainer-clean-tags \
maintainer-clean-depend maintainer-clean-generic \
***************
*** 386,396 ****
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
! maintainer-clean-libtool mostlyclean-sbinPROGRAMS \
! distclean-sbinPROGRAMS clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS \
! uninstall-sbinPROGRAMS install-sbinPROGRAMS tags mostlyclean-tags \
! distclean-tags clean-tags maintainer-clean-tags distdir \
! mostlyclean-depend distclean-depend clean-depend \
! maintainer-clean-depend info-am info dvi-am dvi check check-am \
! installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
--- 428,439 ----
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
! maintainer-clean-libtool mostlyclean-binPROGRAMS distclean-binPROGRAMS \
! clean-binPROGRAMS maintainer-clean-binPROGRAMS uninstall-binPROGRAMS \
! install-binPROGRAMS mostlyclean-sbinPROGRAMS distclean-sbinPROGRAMS \
! clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS uninstall-sbinPROGRAMS \
! install-sbinPROGRAMS tags mostlyclean-tags distclean-tags clean-tags \
! maintainer-clean-tags distdir mostlyclean-depend distclean-depend \
! clean-depend maintainer-clean-depend info-am info dvi-am dvi check \
! check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
Index: bensond.c
===================================================================
RCS file: /cvsroot/benson/benson3/src/bensond.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -r1.1 -r1.2
*** bensond.c 2001/08/14 04:11:02 1.1
--- bensond.c 2001/08/20 03:14:31 1.2
***************
*** 9,16 ****
int r;
pid_t pid;
! ctx=initialize_ctx(KEYFILE,PASSWORD);
! load_dh_params(ctx,DHFILE);
! generate_eph_rsa_key(ctx);
sock = bn_tcp_listen();
--- 9,17 ----
int r;
pid_t pid;
+ char buf[1024];
! // ctx=initialize_ctx(KEYFILE,PASSWORD);
! // load_dh_params(ctx,DHFILE);
! // generate_eph_rsa_key(ctx);
sock = bn_tcp_listen();
***************
*** 24,36 ****
}
else {
! sbio=BIO_new_socket(s,BIO_NOCLOSE);
! ssl=SSL_new(ctx);
! SSL_set_bio(ssl,sbio,sbio);
! if((r=SSL_accept(ssl)<=0))
! berr_exit("SSL accept error");
}
}
! destroy_ctx(ctx);
exit(0);
}
--- 25,40 ----
}
else {
! r=read(s,buf,1024);
! printf("%s",buf);
! close(s);
! // sbio=BIO_new_socket(s,BIO_NOCLOSE);
! // ssl=SSL_new(ctx);
! // SSL_set_bio(ssl,sbio,sbio);
! // if((r=SSL_accept(ssl)<=0))
! // berr_exit("SSL accept error");
}
}
! // destroy_ctx(ctx);
exit(0);
}
|